Subject: bug#11588: 24.0.97; Left mouse click setting the mark every time?!??

From: Chong Yidong <[email-masked]>
Date: Wed, 13 Jun 2012 23:29:16 +0800

Tobias Bading <[email-masked]> writes:

>> The old mouse dragging code had a special behavior to pop the mark if
>> you did not move the mouse much after the down event, to avoid setting
>> the mark (this did not work reliably; if you move the mouse a little bit
>> between the down and up events, the mark gets set anyway).
>
> HURRAY, I'm not losing my mind! Thank you, Chong! A slight mouse
> movement between the mouse down and up events causing the mark to be
> set in Emacs 23 finally explains why sometimes I was unable to kill or
> copy a region with C-SPC at point, mouse click there and then C-w or
> M-w. That is quite a bad bug in Emacs 23 then to be honest.

I've committed a fix to trunk.  Now clicking and releasing in the same
position, if you do not drag the mouse to any other position, will not
set the mark.